苹果近日正式发布了 macos Catalina 10.15 系统,除了一些软件不兼容外,很多升级的Mac用户会发现在新安装的软件在运行时会提示“已损坏”、“无法验证开发者”等问题,下面详细说下解决方法。

解决方法

1. 首先确保系统安全设置已经改为任何来源,具体方法如下

1.打开「终端」:应用程序->实用工具->终端;
2.复制粘贴下面的命令后,按回车,输入你的系统密码(注意密码不会显示,直接输入后回车就行);
sudo spctl –master-disable (注意master前面是两个 – –
3.再次打开安全设置选项,就会发现「任何来源」选项出来了!

2. 打开任何来源后,到应用程序目录中尝试运行软件,如果仍提示损坏,请在应用图标上,鼠标右键,在弹出菜单中点<打开>;

3. 如果前面两步仍有问题,请打开终端,在终端中粘贴下面命令:sudo xattr -r -d com.apple.quarantine ,然后输入个空格,再将应用程序目录中的软件拖拽到命令后面,按回车后输入密码执行,比如Sketch的命令是 sudo xattr -r -d com.apple.quarantine /Applications/Sketch.app/

4. 如果经过前面三步还不行,那暂时没有解决办法了,等待网站更新新版本软件或者降级到10.14系统。